glab(1)

NAME
glab-runner-controller-create - Create a runner controller. (EXPERIMENTAL)

SYNOPSIS
glab runner-controller create [flags]

DESCRIPTION
You must have administrator access. The runner controller can be created in a disabled state for testing before you enable the runner controller.

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS
-d, --description=""
    Description of the runner controller.

--jq=""
    Filter JSON output with a jq expression.

-F, --output="text"
    Format output as: text, json.

--state=""
    State of the runner controller: disabled, enabled, dry_run.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Create a runner controller with default settings
    glab runner-controller create
    # Create a runner controller with a description
    glab runner-controller create --description "My controller"
    # Create an enabled runner controller
    glab runner-controller create --description "Production" --state enabled

SEE ALSO
glab-runner-controller(1)